RDKit::MultiMolDraw2D< T > Class Template Reference

`#include <MultiMolDraw2D.h>`

## Public Member Functions

| MultiMolDraw2D (unsigned int nRows, unsigned int nCols, int width, int height, bool globalScaling=true)
virtual | ~MultiMolDraw2D ()

virtual void

drawMolecules (const std::vector< ROMOL_SPTR > &mols, const std::vector< std::string > *legends=NULL, const std::vector< std::vector< int >> *highlight_atoms=NULL, const std::vector< std::vector< int >> *highlight_bonds=NULL, const std::vector< std::map< int, DrawColour >> *highlight_atom_maps=NULL, const std::vector< std::map< int, DrawColour >> *highlight_bond_maps=NULL, const std::vector< std::map< int, double >> *highlight_radii=NULL, const std::vector< int > *confIds=NULL)

virtual int | width () const
virtual int | height () const
virtual int | nRows () const
virtual int | nCols () const
MolDrawOptions & | drawOptions ()
const MolDrawOptions & | drawOptions () const

## Detailed Description

### template<typename T>
class RDKit::MultiMolDraw2D< T >

Definition at line 21 of file MultiMolDraw2D.h.

## Constructor & Destructor Documentation

## MultiMolDraw2D()

template<typename T >

RDKit::MultiMolDraw2D< T >::MultiMolDraw2D | ( | unsigned int | nRows,
|  | unsigned int | nCols,
|  | int | width,
|  | int | height,
|  | bool | globalScaling = `true`
| ) |  |

## ~MultiMolDraw2D()

template<typename T >

virtual RDKit::MultiMolDraw2D< T >::~MultiMolDraw2D | ( |  | ) |

inline virtual

Definition at line 26 of file MultiMolDraw2D.h.

## Member Function Documentation

## drawMolecules()

template<typename T >

virtual void RDKit::MultiMolDraw2D< T >::drawMolecules | ( | const std::vector< ROMOL_SPTR > & | mols,
|  | const std::vector< std::string > * | legends = `NULL`,
|  | const std::vector< std::vector< int >> * | highlight_atoms = `NULL`,
|  | const std::vector< std::vector< int >> * | highlight_bonds = `NULL`,
|  | const std::vector< std::map< int, DrawColour >> * | highlight_atom_maps = `NULL`,
|  | const std::vector< std::map< int, DrawColour >> * | highlight_bond_maps = `NULL`,
|  | const std::vector< std::map< int, double >> * | highlight_radii = `NULL`,
|  | const std::vector< int > * | confIds = `NULL`
| ) |  |

virtual

## drawOptions() [1/2]

template<typename T >

MolDrawOptions& RDKit::MultiMolDraw2D< T >::drawOptions | ( |  | ) |

inline

Definition at line 42 of file MultiMolDraw2D.h.

## drawOptions() [2/2]

template<typename T >

const MolDrawOptions& RDKit::MultiMolDraw2D< T >::drawOptions | ( |  | ) | const

inline

Definition at line 43 of file MultiMolDraw2D.h.

## height()

template<typename T >

virtual int RDKit::MultiMolDraw2D< T >::height | ( |  | ) | const

inline virtual

Definition at line 38 of file MultiMolDraw2D.h.

## nCols()

template<typename T >

virtual int RDKit::MultiMolDraw2D< T >::nCols | ( |  | ) | const

inline virtual

Definition at line 40 of file MultiMolDraw2D.h.

## nRows()

template<typename T >

virtual int RDKit::MultiMolDraw2D< T >::nRows | ( |  | ) | const

inline virtual

Definition at line 39 of file MultiMolDraw2D.h.

## width()

template<typename T >

virtual int RDKit::MultiMolDraw2D< T >::width | ( |  | ) | const

inline virtual

Definition at line 37 of file MultiMolDraw2D.h.

The documentation for this class was generated from the following file:

- MultiMolDraw2D.h